> For the complete documentation index, see [llms.txt](https://docs.yarnspinner.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yarnspinner.dev/api/csharp/yarn.unity/yarn.unity.linepresenter/yarn.unity.linepresenter.usefadeeffect.md).

# useFadeEffect

Field in [LinePresenter](/api/csharp/yarn.unity/yarn.unity.linepresenter.md)

## Summary

Controls whether the line view should fade in when lines appear, and fade out when lines disappear.

```csharp
public bool useFadeEffect = true;
```

## Remarks

If this value is `true`, the [canvasGroup](/api/csharp/yarn.unity/yarn.unity.linepresenter/yarn.unity.linepresenter.canvasgroup.md) object's alpha property will animate from 0 to 1 over the course of [fadeUpDuration](/api/csharp/yarn.unity/yarn.unity.linepresenter/yarn.unity.linepresenter.fadeupduration.md) seconds when lines appear, and animate from 1 to zero over the course of [fadeDownDuration](/api/csharp/yarn.unity/yarn.unity.linepresenter/yarn.unity.linepresenter.fadedownduration.md) seconds when lines disappear.

If this value is `false`, the [canvasGroup](/api/csharp/yarn.unity/yarn.unity.linepresenter/yarn.unity.linepresenter.canvasgroup.md) object will appear instantaneously.

## See Also

* [LinePresenter.canvasGroup](/api/csharp/yarn.unity/yarn.unity.linepresenter/yarn.unity.linepresenter.canvasgroup.md): The canvas group that contains the UI elements used by this Line View.
* [LinePresenter.fadeUpDuration](/api/csharp/yarn.unity/yarn.unity.linepresenter/yarn.unity.linepresenter.fadeupduration.md): The time that the fade effect will take to fade lines in.
* [LinePresenter.fadeDownDuration](/api/csharp/yarn.unity/yarn.unity.linepresenter/yarn.unity.linepresenter.fadedownduration.md): The time that the fade effect will take to fade lines out.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.yarnspinner.dev/api/csharp/yarn.unity/yarn.unity.linepresenter/yarn.unity.linepresenter.usefadeeffect.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
